> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rocka.live/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the list of top banks



## OpenAPI

````yaml /api-reference/openapi.yaml get /api/providers/top
openapi: 3.0.1
info:
  title: Rocka Payments
  version: 1.0.0
  description: ''
  contact:
    email: support@rocka.live
servers:
  - url: https://api.stage.rocka.live
    description: Sandbox
  - url: https://api.rocka.live
    description: Live
security: []
paths:
  /api/providers/top:
    parameters: []
    get:
      tags:
        - Open banking payments
      summary: Get the list of top banks
      operationId: Get_Providers_Top
      parameters:
        - in: query
          name: country
          schema:
            type: string
            default: FR
          description: >-
            Country's ISO 3166 code. For example, DE for Germany or FR for
            France.
          required: true
        - in: query
          name: count
          schema:
            type: integer
            default: 5
          description: Number of banks to retrieve. Optional.
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  x-examples:
                    example-1:
                      value:
                        country: string
                        id: string
                        isLoadAccounts: true
                        name: string
                  title: ProviderInfo
                  description: Providers information
                  properties:
                    id:
                      type: string
                      description: The bank's unique ID in Rocka's records.
                    isInstant:
                      type: boolean
                      description: Indicates whether this bank supports instant payments.
                    name:
                      type: string
                      description: The bank's name that is displayed to the customer.
                    logoUrl:
                      type: string
                      description: Link to the bank's logo.
                    iin:
                      type: integer
                      description: The bank's IIN.
                  required:
                    - id
                    - isInstant
                    - name
                    - logoUrl
          description: ''
      security:
        - APIkey: []
components:
  securitySchemes:
    APIkey:
      description: >-
        To get your own API keys, go to the **Integration** tab in your [Rocka
        Hub](https://hub.rocka.live).
      in: header
      name: x-api-key
      type: apiKey

````